# Contributing to URL Shortener

We also so happy to see you here and would like thank you for taking the time to contribute 🎉🙌

We would love to have your input related to anything from the following:

- Bug reports
- Submitting a fix
- Discussions about the current state of code
- Proposing new features
- Becoming a maintainer

Any contributions you make will be under the MIT Software License. When you submit code changes, your submissions are understood to be under the same MIT License that covers the project. Feel free to create a discussion thread or issue if that's a concern.

## Creating a Pull Request

- Fork the repo and create your branch from master.
- If you've added code that should be tested, add tests.
- If you've changed APIs, update the documentation.
- Ensure the test suite passes.
- Make sure your code lints.
- Issue that pull request!

## Reporting a bug

If you find any bug in the current state of the code and there's no corresponding Pull Request for it, please feel free to [create an issue](https://github.com/smallcase/smalllinks/issues/new/choose).

### Great bug reports tend to have:

- A quick summary and/or background
- Steps to reproduce
- Be specific!
- Give sample code if you can.
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)

People _love_ thorough bug reports. I'm not even kidding.

## License

By contributing, you agree that your contributions will be licensed under its MIT License.
